From fff9d783ac3013f56cc00a86b1d3023729060b03 Mon Sep 17 00:00:00 2001
From: Sameer Kumar <kusme@amazon.com>
Date: Tue, 23 Jul 2024 13:30:41 +0800
Subject: [PATCH v1] Update the description of IPC wait events XactGroupUpdate
 and ProcArrayGroupUpdate to avoid confusion with parallel workers and
 parallel query/parallel workers.

---
 src/backend/utils/activity/wait_event_names.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/utils/activity/wait_event_names.txt b/src/backend/utils/activity/wait_event_names.txt
index db37beeaae..5872d27467 100644
--- a/src/backend/utils/activity/wait_event_names.txt
+++ b/src/backend/utils/activity/wait_event_names.txt
@@ -142,7 +142,7 @@ MULTIXACT_CREATION	"Waiting for a multixact creation to complete."
 PARALLEL_BITMAP_SCAN	"Waiting for parallel bitmap scan to become initialized."
 PARALLEL_CREATE_INDEX_SCAN	"Waiting for parallel <command>CREATE INDEX</command> workers to finish heap scan."
 PARALLEL_FINISH	"Waiting for parallel workers to finish computing."
-PROCARRAY_GROUP_UPDATE	"Waiting for the group leader to clear the transaction ID at end of a parallel operation."
+PROCARRAY_GROUP_UPDATE	"Waiting for the group leader process to clear the transaction ID of this backend at the end of a transaction."
 PROC_SIGNAL_BARRIER	"Waiting for a barrier event to be processed by all backends."
 PROMOTE	"Waiting for standby promotion."
 RECOVERY_CONFLICT_SNAPSHOT	"Waiting for recovery conflict resolution for a vacuum cleanup."
@@ -157,7 +157,7 @@ SYNC_REP	"Waiting for confirmation from a remote server during synchronous repli
 WAL_RECEIVER_EXIT	"Waiting for the WAL receiver to exit."
 WAL_RECEIVER_WAIT_START	"Waiting for startup process to send initial data for streaming replication."
 WAL_SUMMARY_READY	"Waiting for a new WAL summary to be generated."
-XACT_GROUP_UPDATE	"Waiting for the group leader to update transaction status at end of a parallel operation."
+XACT_GROUP_UPDATE	"Waiting for the group leader process to update the transaction status for this backend."
 
 ABI_compatibility:
 
-- 
2.40.1

